Red Hat 6.5 and PHP 5.5.8 install errors

Discussion in 'Install/Configuration' started by techieanalyst, Feb 16, 2014.

  1. techieanalyst

    techieanalyst New Member

    I simply cannot get PHP to compile properly, I believe Litespeed should include a list of items to install before attempting as I was going through the logs installing each failure, then I came to this part, even though the packages are installed they still fail:

    checking for ENCHANT support... no
    checking whether to enable EXIF (metadata from images) support... no
    checking for fileinfo support... yes
    checking for utimes... yes
    checking for strndup... yes
    checking whether to enable input filter support... yes
    checking pcre install prefix... no
    checking whether to enable FTP support... no
    checking OpenSSL dir for FTP... no
    checking for GD support... yes
    checking for the location of libvpx... no
    checking for the location of libjpeg... no
    checking for the location of libpng... no
    checking for the location of libXpm... no
    checking for FreeType 2... no
    checking for T1lib support... no
    checking whether to enable truetype string function in GD... no
    checking whether to enable JIS-mapped Japanese font support in GD... no
    If configure fails try --with-vpx-dir=<DIR>
    If configure fails try --with-jpeg-dir=<DIR>
    configure: error: png.h not found.
    **ERROR** Could not configure PHP build

    Package gd-2.0.35-11.el6.x86_64 already installed and latest version

    So I already have things installed, its just not taking it. Why not include a list of WHAT we need to install before attempting the PHP Compile so we dont lose 10 - 20 hours of our time. This all works fine with apache and no running around trying to figure out what I need to do next nor waiting days to hear back from someone how what needs to be fixed.
  2. NiteWave

    NiteWave Administrator

Share This Page